OpenStack Compute (Nova)

SolidFire ISCSI Driver is not populating the Lun field on volume creation

Reported by John Griffith on 2012-02-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
John Griffith

Bug Description

The SolidFireSanISCSIDriver currently only populates the 'iscsi_portal' and 'iqn' fields of provider_location. The result is that when attempting to attach an SF Volume to an instance, new multi-lun features added to the Volume Driver will cause a default value of lun = 1 to be used which is invalid for SF devices (all Volumes are lun 0).

To fix this we simply need to add the lun number to the model_update['provider_location'] on Volume creation. I have the change tested, just need a bug to get into Geritt.

Changed in nova:
assignee: nobody → John Griffith (john-griffith)
Changed in nova:
status: New → In Progress
Changed in nova:
status: In Progress → Fix Committed
Devin Carlen (devcamcar) wrote :

Please use "Fix Committed" only when the code has landed and is no longer in review. In fact, Jenkins will even do this for you.

Changed in nova:
status: Fix Committed → In Progress

Thanks Devin... sorry about that.

On Thu, Feb 23, 2012 at 5:56 PM, Devin Carlen <email address hidden> wrote:
> Please use "Fix Committed" only when the code has landed and is no
> longer in review.  In fact, Jenkins will even do this for you.
>
> ** Changed in: nova
>       Status: Fix Committed => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/938876
>
> Title:
>  SolidFire ISCSI Driver is not populating the Lun field on volume
>  creation
>
> Status in OpenStack Compute (Nova):
>  In Progress
>
> Bug description:
>  The SolidFireSanISCSIDriver currently only populates the
>  'iscsi_portal' and 'iqn' fields of provider_location.  The result is
>  that when attempting to attach an SF Volume to an instance, new multi-
>  lun features added to the Volume Driver will cause a default value of
>  lun = 1 to be used which is invalid for SF devices (all Volumes are
>  lun 0).
>
>  To fix this we simply need to add the lun number to the
>  model_update['provider_location']  on Volume creation.  I have the
>  change tested,  just need a bug to get into Geritt.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nova/+bug/938876/+subscriptions

Reviewed: https://review.openstack.org/4403
Committed: http://github.com/openstack/nova/commit/0c483d1970879cf04a2f1ba2119b0ed6605f39b1
Submitter: Jenkins
Branch: master

commit 0c483d1970879cf04a2f1ba2119b0ed6605f39b1
Author: john-griffith <email address hidden>
Date: Wed Feb 22 11:42:08 2012 -0700

    Add lun number to provider_location in create_volume
    * Fixes bug 938876

    Change-Id: I22ccda1df7a0b718697588b0a808af5c58181ed8

Changed in nova:
status: In Progress → Fix Committed
Changed in nova:
milestone: none → essex-4

Reviewed: https://review.openstack.org/4716
Committed: http://github.com/openstack/nova/commit/f7f15f10691c1eb7921e8f998b0b9b264b0c8d5f
Submitter: Jenkins
Branch: milestone-proposed

commit f7f15f10691c1eb7921e8f998b0b9b264b0c8d5f
Author: john-griffith <email address hidden>
Date: Wed Feb 22 11:42:08 2012 -0700

    Add lun number to provider_location in create_volume
    * Fixes bug 938876

    Change-Id: I22ccda1df7a0b718697588b0a808af5c58181ed8

Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers